// ************************************************************************************************************
// Author: Marcin Załęczny
// Release Date: 2010-11-08
// Licence: The GNU Lesser General Public License, version 3.0 (LGPLv3)
// ************************************************************************************************************
#ifndef __MZSTDXPS_XPS_RESOURCES_H__
#define __MZSTDXPS_XPS_RESOURCES_H__

#include "mzstdxpsCommon.h"
#include "mzObject.h"
#include "mzString.h"

class DECLSPEC_MZSTDXPS CXpsBinaryData : public CObject {
public:
    WINAPI CXpsBinaryData(CString filename, BYTE* imageBuffer, DWORD bufferSize);
    virtual WINAPI ~CXpsBinaryData();
    virtual VOID WINAPI save(CString dirname);
    
public:
    CString filename;
    BYTE* imageBuffer;
    DWORD bufferSize;
};

class DECLSPEC_MZSTDXPS CXpsMetadataThumbnail : public CXpsBinaryData {
public:
    WINAPI CXpsMetadataThumbnail(CString filename, BYTE* imageBuffer, DWORD bufferSize);
    virtual WINAPI ~CXpsMetadataThumbnail();
};

class DECLSPEC_MZSTDXPS CXpsFontResource : public CXpsBinaryData {
public:
    WINAPI CXpsFontResource(CString filename, BYTE* imageBuffer, DWORD bufferSize);
    virtual WINAPI ~CXpsFontResource();
};


#endif
